package com.gic.haoban.manage.web.qo.chat;

import com.alibaba.fastjson.JSONObject;
import com.gic.haoban.manage.web.qo.wechatwork.StoreGroupCommonQO;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @author shangfeng
 * @date 2024-06-20 13:58:17
 */
public class GroupChatClerkReq extends ChatBaseReq implements Serializable {

    private static final long serialVersionUID = 1280733007919174215L;

    /**
     * 门店名称/code
     */
    private String vagueQueryStore;

    /**
     * 导购名称/code
     */
    private String vagueQueryClerk;

    /**
     * 下载导出参数：为了兼容前端传参
     */
    private String requestProject;

    /**
     * 排序处理
     * * *
     * @return
     */
    public Integer getDataApiOrderField() {
        Map<String, Integer> map = new HashMap<>(8);
        map.put("newGroupNum", 1);
        map.put("actGroupNum", 2);
        map.put("groupCustNum", 3);
        map.put("newGroupCustNum", 4);
        map.put("actGroupCustNum", 5);
        map.put("newExitGroupCustNum", 6);
        map.put("groupSessionsNum", 7);
        map.put("groupNum", 8);
        return map.get(getOrderByFields()) == null ? 1 : map.get(getOrderByFields());
    }

    /**
     * 处理请求参数
     * * *
     * @param jsonObject
     */
    public void dealWithParam(JSONObject jsonObject) {
        super.dealWithParam(jsonObject);
        if (getOrderByFields() != null) {
            jsonObject.put("orderByFields", getDataApiOrderField());
        }
        if (StringUtils.isNotBlank(vagueQueryClerk)) {
            jsonObject.put("vagueQueryClerk", vagueQueryClerk);
        }
        if (StringUtils.isNotBlank(vagueQueryStore)) {
            jsonObject.put("vagueQueryStore", vagueQueryStore);
        }
    }

    public String getVagueQueryStore() {
        return vagueQueryStore;
    }

    public void setVagueQueryStore(String vagueQueryStore) {
        this.vagueQueryStore = vagueQueryStore;
    }

    public String getVagueQueryClerk() {
        return vagueQueryClerk;
    }

    public void setVagueQueryClerk(String vagueQueryClerk) {
        this.vagueQueryClerk = vagueQueryClerk;
    }

    public String getRequestProject() {
        return requestProject;
    }

    public void setRequestProject(String requestProject) {
        this.requestProject = requestProject;
    }
}
